<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2007 The Android Open Source Project
     Copyright (c) 2011, 2013 The Linux Foundation. All rights reserved.

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->


<manifest xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:androidprv="http://schemas.android.com/apk/prv/res/android"
		package="com.android.stk"
		android:sharedUserId="android.uid.phone">

    <original-package android:name="com.android.stk" />

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

	<application android:icon="@drawable/ic_launcher_sim_toolkit"
		android:label="@string/app_name"
		android:clearTaskOnLaunch="true"
		android:process="com.android.phone">

		<activity android:name="StkLauncherActivity"
			android:label="@string/app_name"
			android:enabled="false"	>
			<intent-filter>
				<action android:name="android.intent.action.MAIN" />
				<category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
		</activity>

                <activity android:name="StkLauncherActivity2"
                        android:label="@string/app_name2"
                        android:enabled="false" >
                        <intent-filter>
                                <action android:name="android.intent.action.MAIN" />
                                <category android:name="android.intent.category.LAUNCHER" />
                        </intent-filter>
                </activity>

		<activity android:name="StkMenuActivity"
             android:launchMode="singleTop">
	         <intent-filter>
	             <action android:name="android.intent.action.VIEW" />
	             <action android:name="android.intent.action.PICK" />
	             <category android:name="android.intent.category.DEFAULT" />
	         </intent-filter>
         </activity>

		<activity android:name="StkInputActivity"
		    android:screenOrientation="nosensor">
			<intent-filter>
		        <action android:name="android.intent.action.VIEW" />
		        <action android:name="android.intent.action.EDIT" />
		        <category android:name="android.intent.category.DEFAULT" />
		    </intent-filter>
		</activity>

        <activity android:name="StkDialogActivity"
            android:theme="@style/DialogPopStyle">
        </activity>

        <activity android:name="ToneDialog"
            android:theme="@style/DialogPopStyle">
        </activity>

		<!-- SIM Toolkit settings activity -->
		<activity android:name="StkSettings"
			android:label="@string/app_name">
			<intent-filter>
				<action android:name="android.intent.action.VIEW" />
				<action android:name="android.intent.action.MAIN" />
				<category
					android:name="android.intent.category.DEVELOPMENT_PREFERENCE" />
			</intent-filter>
		</activity>

        <receiver android:name="com.android.stk.StkCmdReceiver">
            <intent-filter>
                <action android:name= "android.intent.action.stk.command" />
                <action android:name= "android.intent.action.stk.session_end" />
                <action android:name= "android.intent.action.stk.idle_screen" />
                <action android:name= "android.intent.action.LOCALE_CHANGED" />
                <action android:name= "qualcomm.intent.action.stk.icc_status_change" />
                <action android:name= "qualcomm.intent.action.stk.alpha_notify" />
            </intent-filter>
        </receiver>

        <receiver android:name="com.android.stk.BootCompletedReceiver"
                    androidprv:primaryUserOnly="true">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>

        <service android:name="StkAppService" />

	</application>
</manifest>
